%define upstream_name    Catalyst-Model-LDAP-FromAuthentication
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Provides an LDAP model bound as the user who logged in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
# Get 0.01, which is not on CPAN, at:
# http://github.com/bobtfish/catalyst-model-ldap-fromauthentication/tarball/0.01
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Authentication::Store::LDAP)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Model::LDAP)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(MooseX::Types::LoadableClass)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Module::CoreList)
BuildArch: noarch


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/^(use Module::Install::Author)/#$1/g;s/^(author_)/#$1/g' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1493045
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1265952
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1023223
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 936680
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 745934
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 683784
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 509748
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 363922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 41835
- mageia rebuild
- imported package perl-Catalyst-Model-LDAP-FromAuthentication


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 602139
- new version

  + Buchan Milne <bgmilne@mandriva.org>
    - BR Module::CoreList for 2010.0

* Tue Oct 12 2010 Buchan Milne <bgmilne@mandriva.org> 0.10.0-1mdv2011.0
+ Revision: 585120
- Fix buildrequires
- import perl-Catalyst-Model-LDAP-FromAuthentication

